<?php
declare(strict_types=1);

namespace App\Framework\DateTime;

use function sleep;
use function usleep;

final readonly class SystemTimer implements Timer
{

    public function sleep(int $seconds): void
    {
        sleep($seconds);
    }

    public function usleep(int $microseconds): void
    {
        usleep($microseconds);
    }

    public function msleep(int $milliseconds): void
    {
        usleep($milliseconds * 1000);
    }
}
